package oop.FileHandling.character;

import java.io.File;
import java.io.FileReader;
import java.io.IOException;

public class Filereader {
	/*
	 * - Das Verfahren läuft ganz geanu wie beim FileInputStream
	 * - Kritik: FileReader liest jedes Char ich habe 10 Zeichen
	 * 			 die Methode read() wird in dem Fall sich selbst 10 mal aufrufen
	 * 	 Alternativ möglichkeit (BufferedReader)
 	 */
	public static void main(String[] args) throws IOException {	
		
		File file = new File("C:\\Users\\obaya\\eclipse-workspace\\OOP\\src\\oop\\FileHandling\\character\\Test1");
		FileReader fr = new FileReader(file);
		
		// lese Dateien
		// Variante 1:
		int i;
		while((i = fr.read()) != -1)
			System.out.print((char)i);
		
		// Variante 2: Mit Hilfe von File Klasse 
		char[] speicher = new char[(int) file.length()];
		fr.read(speicher);
		for (char c : speicher)
			System.out.print(c);
		
		
		
	}

}
